Bug 436799 - x86: clear DF before calling signal handler
Summary: x86: clear DF before calling signal handler
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 434401 444178
TreeView+ depends on / blocked
 
Reported: 2008-03-10 14:55 UTC by Rex Dieter
Modified: 2008-04-25 17:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 15:02:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2008-03-10 14:55:53 UTC
+++ This bug was initially created as a clone of Bug #434401 +++

This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444164
Exit code was 1, check the build.log for the failed buildArch task.

-- Additional comment from jonstanley@gmail.com on 2008-03-01 15:21 EST --
scratch build 482744

-- Additional comment from jonstanley@gmail.com on 2008-03-02 01:10 EST --

; compiling (DEFINE-MOVE-VOP MOVE-FROM-DOUBLE ...)unhandled
SB-SYS:MEMORY-FAULT-ERROR in thread #<SB-THREAD:THREAD "initial thread" {A714909}>:
  Unhandled memory fault at #x0.

0: (SB-DEBUG:BACKTRACE 128 #<SYNONYM-STREAM :SYMBOL SB-SYS:*STDERR* {90B3F01}>)
1: (SB-DEBUG::DEBUGGER-DISABLED-HOOK
    #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>
    #<unavailable argument>)
2: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
3: (INVOKE-DEBUGGER #<SB-SYS:MEMORY-FAULT-ERROR {BEF46B1}>)
4: (ERROR SB-SYS:MEMORY-FAULT-ERROR)
5: (SB-SYS:MEMORY-FAULT-ERROR)
6: (SB-SYS:MEMORY-FAULT-ERROR)
7: ("foreign function: #x805FD5C")
8: ("foreign function: #x805FFB8")



-- Additional comment from rdieter@math.unl.edu on 2008-03-06 15:29 EST --
Confirmed on upstream sbcl ml, debian'ers are also seeing fatal problems on
gcc-4.3-derived systems.

-- Additional comment from rdieter@math.unl.edu on 2008-03-10 10:10 EST --
My most recent post to upstream ml:
"[Sbcl-devel] sbcl doesn't run on gcc-4.3 environment?"
http://sourceforge.net/mailarchive/forum.php?thread_name=fr3e81%242tj%241%40ger.gmane.org&forum_name=sbcl-devel

-- Additional comment from rdieter@math.unl.edu on 2008-03-10 10:21 EST --
gcc43/kernel bug? sbcl devs pointed me to:
"GCC 4.3.0 exposes a kernel bug"  http://lwn.net/Articles/272048/
(I'm not currently an lwn subscriber, so can't access the article, yet).

Comment 1 Rex Dieter 2008-03-10 14:57:25 UTC
Fix upstreamed:
http://marc.info/?l=git-commits-head&m=120492000901739&w=2

So, hopefully just a matter of time to see this.

Comment 2 Dave Jones 2008-03-10 15:02:40 UTC
latest builds should have this.
If not, todays definitely will.


Comment 3 Rex Dieter 2008-03-10 15:16:34 UTC
Thanks, I'll sync my rawhide lappy, and see how things go.


Note You need to log in before you can comment on or make changes to this bug.